org.apache.ignite.internal.processors.plugin

## Class CachePluginManager

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter
  - - org.apache.ignite.internal.processors.plugin.CachePluginManager

All Implemented Interfaces:
  GridCacheManager

    public class CachePluginManager
    extends GridCacheManagerAdapter

Cache plugin manager.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`cctx, log, starting`

### Constructor Summary

Constructors
Constructor and Description
`CachePluginManager(GridKernalContext ctx, CacheConfiguration cfg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `createComponent(Class<T> cls)` Creates optional component.
`protected void` `onKernalStart0()`
`protected void` `onKernalStop0(boolean cancel)`
`protected void` `start0()`
`protected void` `stop0(boolean cancel, boolean destroy)`
`<T,K,V> T` `unwrapCacheEntry(javax.cache.Cache.Entry<K,V> entry, Class<T> cls)` Unwrap entry to specified type.
`void` `validate()` Validates cache plugin configurations.
`void` `validateRemotes(CacheConfiguration rmtCfg, ClusterNode rmtNode)` Checks that remote caches has configuration compatible with the local.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`context, kernalStartInfo, kernalStopInfo, log, onDisconnected, onKernalStart, onKernalStop, printMemoryStats, start, startInfo, stop, stopInfo, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CachePluginManager

    public CachePluginManager(GridKernalContext ctx,
                              CacheConfiguration cfg)

Parameters:
  `ctx` - Context.
  `cfg` - Cache config.

### Method Detail

#### onKernalStart0

    protected void onKernalStart0()
                           throws IgniteCheckedException

Overrides:
  `onKernalStart0` in class `GridCacheManagerAdapter`
Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStop0

    protected void onKernalStop0(boolean cancel)

Overrides:
  `onKernalStop0` in class `GridCacheManagerAdapter`
Parameters:
  `cancel` - Cancel flag.

#### start0

    protected void start0()
                   throws IgniteCheckedException

Overrides:
  `start0` in class `GridCacheManagerAdapter`
Throws:
  `IgniteCheckedException` - If failed.

#### stop0

    protected void stop0(boolean cancel,
                         boolean destroy)

Overrides:
  `stop0` in class `GridCacheManagerAdapter`
Parameters:
  `cancel` - Cancel flag.
  `destroy` - Cache destroy flag.

#### createComponent

    public <T> T createComponent(Class<T> cls)

Creates optional component.

Parameters:
  `cls` - Component class.
Returns:
  Created component.

#### unwrapCacheEntry

    @Nullable
    public <T,K,V> T unwrapCacheEntry(javax.cache.Cache.Entry<K,V> entry,
                                                Class<T> cls)

Unwrap entry to specified type. For details see `javax.cache.Cache.Entry.unwrap(Class)`.

Type Parameters:
  `T` - Return type.
  `K` - Key type.
  `V` - Value type.
Parameters:
  `entry` - Entry to unwrap.
  `cls` - Type of the expected component.
Returns:
  New instance of underlying type or `null` if it's not available.

#### validate

    public void validate()
                  throws IgniteCheckedException

Validates cache plugin configurations. Throw exception if validation failed.

Throws:
  `IgniteCheckedException` - If validation failed.

#### validateRemotes

    public void validateRemotes(CacheConfiguration rmtCfg,
                                ClusterNode rmtNode)
                         throws IgniteCheckedException

Checks that remote caches has configuration compatible with the local.

Parameters:
  `rmtCfg` - Remote cache configuration.
  `rmtNode` - Remote rmtNode.
Throws:
  `IgniteCheckedException` - If failed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018